Freeciv-3.1: ruledit_gui Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Signals | Public Member Functions | Data Fields | Private Slots | Private Member Functions | Private Attributes
ruledit_gui Class Reference

`#include <ruledit_qt.h>`

Inheritance diagram for ruledit_gui:

## Signals

void | req_vec_may_have_changed (const requirement_vector *vec)

## Public Member Functions

void | setup (QWidget *central_in)
void | display_msg (const char *msg)
requirers_dlg * | create_requirers (const char *title)
void | show_required (requirers_dlg *requirers, const char *msg)
void | flush_widgets ()
void | open_req_edit (QString target, struct requirement_vector *preqs)
void | unregister_req_edit (class req_edit *redit)
void | open_req_vec_fix (req_vec_fix_item *item_info)
void | unregister_req_vec_fix (req_vec_fix *fixer)
void | open_effect_edit (QString target, struct universal *uni, enum effect_filter_main_class efmc)
void | unregister_effect_edit (class effect_edit *e_edit)
void | refresh_effect_edits ()

## Data Fields

struct rule_data | data

## Private Slots

void | rulesetdir_given ()
void | incoming_req_vec_change (const requirement_vector *vec)

## Private Member Functions

void | launch_now ()

## Private Attributes

QLabel * | msg_dspl
QTabWidget * | stack
QLineEdit * | ruleset_select
QWidget * | central
QStackedLayout * | main_layout
tab_achievement * | ach
tab_building * | bldg
tab_misc * | misc
tab_tech * | tech
tab_unit * | unit
tab_good * | good
tab_gov * | gov
tab_enabler * | enablers
tab_extras * | extras
tab_multiplier * | multipliers
tab_terrains * | terrains
tab_nation * | nation
struct req_edit_list * | req_edits
struct req_vec_fix_list * | req_vec_fixers
struct effect_edit_list * | effect_edits

## Detailed Description

Definition at line 95 of file ruledit_qt.h.

## Member Function Documentation

## ◆ create_requirers()

requirers_dlg * ruledit_gui::create_requirers | ( | const char * | title | ) |

Create requirers dlg.

Definition at line 297 of file ruledit_qt.cpp.

Referenced by tab_achievement::delete_now(), tab_building::delete_now(), tab_extras::delete_now(), tab_good::delete_now(), tab_gov::delete_now(), tab_multiplier::delete_now(), tab_tech::delete_now(), tab_terrains::delete_now(), and tab_unit::delete_now().

## ◆ display_msg()

void ruledit_gui::display_msg | ( | const char * | msg | ) |

Display status message

Definition at line 289 of file ruledit_qt.cpp.

Referenced by launch_now(), tab_achievement::name_given(), tab_building::name_given(), tab_extras::name_given(), tab_good::name_given(), tab_gov::name_given(), tab_multiplier::name_given(), tab_tech::name_given(), tab_terrains::name_given(), tab_unit::name_given(), tab_misc::sanity_check(), and tab_misc::save_now().

## ◆ flush_widgets()

void ruledit_gui::flush_widgets | ( |  | ) |

Flush information from widgets to stores where it can be saved from.

Definition at line 322 of file ruledit_qt.cpp.

Referenced by tab_misc::save_now().

## ◆ incoming_req_vec_change

void ruledit_gui::incoming_req_vec_change | ( | const requirement_vector * | vec | ) |

privateslot

A requirement vector may have been changed.

Parameters

  vec | the requirement vector that may have been changed.

Definition at line 281 of file ruledit_qt.cpp.

Referenced by open_req_edit(), and open_req_vec_fix().

## ◆ launch_now()

void ruledit_gui::launch_now | ( |  | ) |

private

Launch the main page.

game.server.rulesetdir must be correctly set beforehand.

Definition at line 245 of file ruledit_qt.cpp.

Referenced by rulesetdir_given(), and setup().

## ◆ open_effect_edit()

void ruledit_gui::open_effect_edit | ( | QString | target,
|  | struct universal * | uni,
|  | enum effect_filter_main_class | efmc
| ) |  |

Open effect_edit dialog

Definition at line 400 of file ruledit_qt.cpp.

Referenced by tab_misc::edit_aae_effects(), tab_misc::edit_all_effects(), tab_achievement::edit_effects(), tab_building::edit_effects(), tab_extras::edit_effects(), tab_good::edit_effects(), tab_gov::edit_effects(), tab_tech::edit_effects(), tab_terrains::edit_effects(), and tab_unit::edit_effects().

## ◆ open_req_edit()

void ruledit_gui::open_req_edit | ( | QString | target,
|  | struct requirement_vector * | preqs
| ) |  |

Open req_edit dialog

Definition at line 331 of file ruledit_qt.cpp.

Referenced by tab_enabler::edit_actor_reqs(), effect_edit::edit_reqs(), tab_building::edit_reqs(), tab_extras::edit_reqs(), tab_gov::edit_reqs(), and tab_enabler::edit_target_reqs().

## ◆ open_req_vec_fix()

void ruledit_gui::open_req_vec_fix | ( | req_vec_fix_item * | item_info | ) |

Open req_vec_fix dialog.

Definition at line 364 of file ruledit_qt.cpp.

Referenced by tab_enabler::repair_now().

## ◆ refresh_effect_edits()

void ruledit_gui::refresh_effect_edits | ( |  | ) |

Refresh all effect edit dialogs

Definition at line 437 of file ruledit_qt.cpp.

Referenced by effect_edit::effect_type_menu(), and effect_edit::set_value().

## ◆ req_vec_may_have_changed

void ruledit_gui::req_vec_may_have_changed | ( | const requirement_vector * | vec | ) |

signal

A requirement vector may have been changed.

Parameters

  vec | the requirement vector that was changed.

Referenced by incoming_req_vec_change(), and open_req_edit().

## ◆ rulesetdir_given

void ruledit_gui::rulesetdir_given | ( |  | ) |

privateslot

User entered rulesetdir to load.

Definition at line 230 of file ruledit_qt.cpp.

Referenced by setup().

## ◆ setup()

void ruledit_gui::setup | ( | QWidget * | central_in | ) |

Setup GUI object

Definition at line 106 of file ruledit_qt.cpp.

Referenced by ruledit_qt_run().

## ◆ show_required()

void ruledit_gui::show_required | ( | requirers_dlg * | requirers,
|  | const char * | msg
| ) |  |

Add entry to requirers dlg.

Definition at line 311 of file ruledit_qt.cpp.

Referenced by ruledit_qt_display_requirers().

## ◆ unregister_effect_edit()

void ruledit_gui::unregister_effect_edit | ( | class effect_edit * | e_edit | ) |

Unregister closed effect_edit dialog

Definition at line 429 of file ruledit_qt.cpp.

Referenced by effect_edit::close_now(), and effect_edit::closeEvent().

## ◆ unregister_req_edit()

void ruledit_gui::unregister_req_edit | ( | class req_edit * | redit | ) |

Unregister closed req_edit dialog

Definition at line 356 of file ruledit_qt.cpp.

Referenced by req_edit::close_now(), and req_edit::closeEvent().

## ◆ unregister_req_vec_fix()

void ruledit_gui::unregister_req_vec_fix | ( | req_vec_fix * | fixer | ) |

Unregister closed req_vec_fix dialog.

Definition at line 392 of file ruledit_qt.cpp.

Referenced by req_vec_fix::~req_vec_fix().

## Field Documentation

## ◆ ach

tab_achievement* ruledit_gui::ach

private

Definition at line 135 of file ruledit_qt.h.

Referenced by launch_now(), and setup().

## ◆ bldg

tab_building* ruledit_gui::bldg

private

Definition at line 136 of file ruledit_qt.h.

Referenced by launch_now(), and setup().

## ◆ central

QWidget* ruledit_gui::central

private

Definition at line 132 of file ruledit_qt.h.

Referenced by setup().

## ◆ data

struct rule_data ruledit_gui::data

Definition at line 117 of file ruledit_qt.h.

Referenced by tab_nation::flush_widgets(), launch_now(), tab_nation::nationlist_toggle(), tab_nation::refresh(), tab_misc::save_now(), and setup().

## ◆ effect_edits

struct effect_edit_list* ruledit_gui::effect_edits

private

Definition at line 150 of file ruledit_qt.h.

Referenced by open_effect_edit(), refresh_effect_edits(), setup(), and unregister_effect_edit().

## ◆ enablers

tab_enabler* ruledit_gui::enablers

private

Definition at line 142 of file ruledit_qt.h.

Referenced by launch_now(), and setup().

## ◆ extras

tab_extras* ruledit_gui::extras

private

Definition at line 143 of file ruledit_qt.h.

Referenced by launch_now(), and setup().

## ◆ good

tab_good* ruledit_gui::good

private

Definition at line 140 of file ruledit_qt.h.

Referenced by launch_now(), and setup().

## ◆ gov

tab_gov* ruledit_gui::gov

private

Definition at line 141 of file ruledit_qt.h.

Referenced by launch_now(), and setup().

## ◆ main_layout

QStackedLayout* ruledit_gui::main_layout

private

Definition at line 133 of file ruledit_qt.h.

Referenced by launch_now(), and setup().

## ◆ misc

tab_misc* ruledit_gui::misc

private

Definition at line 137 of file ruledit_qt.h.

Referenced by flush_widgets(), launch_now(), and setup().

## ◆ msg_dspl

QLabel* ruledit_gui::msg_dspl

private

Definition at line 129 of file ruledit_qt.h.

Referenced by display_msg(), and setup().

## ◆ multipliers

tab_multiplier* ruledit_gui::multipliers

private

Definition at line 144 of file ruledit_qt.h.

Referenced by launch_now(), and setup().

## ◆ nation

tab_nation* ruledit_gui::nation

private

Definition at line 146 of file ruledit_qt.h.

Referenced by flush_widgets(), launch_now(), and setup().

## ◆ req_edits

struct req_edit_list* ruledit_gui::req_edits

private

Definition at line 148 of file ruledit_qt.h.

Referenced by open_req_edit(), setup(), and unregister_req_edit().

## ◆ req_vec_fixers

struct req_vec_fix_list* ruledit_gui::req_vec_fixers

private

Definition at line 149 of file ruledit_qt.h.

Referenced by open_req_vec_fix(), setup(), and unregister_req_vec_fix().

## ◆ ruleset_select

QLineEdit* ruledit_gui::ruleset_select

private

Definition at line 131 of file ruledit_qt.h.

Referenced by rulesetdir_given(), and setup().

## ◆ stack

QTabWidget* ruledit_gui::stack

private

Definition at line 130 of file ruledit_qt.h.

Referenced by setup().

## ◆ tech

tab_tech* ruledit_gui::tech

private

Definition at line 138 of file ruledit_qt.h.

Referenced by launch_now(), and setup().

## ◆ terrains

tab_terrains* ruledit_gui::terrains

private

Definition at line 145 of file ruledit_qt.h.

Referenced by launch_now(), and setup().

## ◆ unit

tab_unit* ruledit_gui::unit

private

Definition at line 139 of file ruledit_qt.h.